globus_xio_file_driver_cntls(3)

NAME
globus_xio_file_driver_cntls - Attributes and Cntls

 - Attributes and Cntls.

SYNOPSIS

  Enumerations

enum globus_xio_file_attr_cmd_t { GLOBUS_XIO_FILE_SET_MODE, GLOBUS_XIO_FILE_GET_MODE, GLOBUS_XIO_FILE_SET_FLAGS, GLOBUS_XIO_FILE_GET_FLAGS, GLOBUS_XIO_FILE_SET_TRUNC_OFFSET, GLOBUS_XIO_FILE_GET_TRUNC_OFFSET, GLOBUS_XIO_FILE_SET_HANDLE, GLOBUS_XIO_FILE_GET_HANDLE, GLOBUS_XIO_FILE_SET_BLOCKING_IO, GLOBUS_XIO_FILE_GET_BLOCKING_IO, GLOBUS_XIO_FILE_SEEK }

  Functions

globus_result_t globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_FILE_SET_MODE, int mode)
globus_result_t globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_FILE_GET_MODE, int *mode_out)
globus_result_t globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_FILE_SET_FLAGS, int flags)
globus_result_t globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_FILE_GET_FLAGS, int *flags_out)
globus_result_t globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_FILE_SET_TRUNC_OFFSET, globus_off_t offset)
globus_result_t globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_FILE_GET_TRUNC_OFFSET, globus_off_t *offset_out)
globus_result_t globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_FILE_SET_HANDLE, globus_xio_system_file_t handle)
globus_result_t globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_FILE_GET_HANDLE, globus_xio_system_file_t *handle_out)
globus_result_t globus_xio_handle_cntl (handle, driver, GLOBUS_XIO_FILE_GET_HANDLE, globus_xio_system_file_t *handle_out)
globus_result_t globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_FILE_SET_BLOCKING_IO, globus_bool_t use_blocking_io)
globus_result_t globus_xio_handle_cntl (handle, driver, GLOBUS_XIO_FILE_SET_BLOCKING_IO, globus_bool_t use_blocking_io)
globus_result_t globus_xio_attr_cntl (attr, driver, GLOBUS_XIO_FILE_GET_BLOCKING_IO, globus_bool_t *use_blocking_io_out)
globus_result_t globus_xio_handle_cntl (handle, driver, GLOBUS_XIO_FILE_GET_BLOCKING_IO, globus_bool_t *use_blocking_io_out)
globus_result_t globus_xio_handle_cntl (handle, driver, GLOBUS_XIO_FILE_SEEK, globus_off_t *in_out_offset, globus_xio_file_whence_t whence)

Detailed Description

Attributes and Cntls.

File driver specific attrs and cntls.

See also
    globus_xio_attr_cntl()

    globus_xio_handle_cntl()

Enumeration Type Documentation

  enum globus_xio_file_attr_cmd_t
doxygen varargs filter stuff File driver specific cntls

Enumerator

GLOBUS_XIO_FILE_SET_MODE
    See usage for: globus_xio_attr_cntl

GLOBUS_XIO_FILE_GET_MODE
    See usage for: globus_xio_attr_cntl

GLOBUS_XIO_FILE_SET_FLAGS
    See usage for: globus_xio_attr_cntl

GLOBUS_XIO_FILE_GET_FLAGS
    See usage for: globus_xio_attr_cntl

GLOBUS_XIO_FILE_SET_TRUNC_OFFSET
    See usage for: globus_xio_attr_cntl

GLOBUS_XIO_FILE_GET_TRUNC_OFFSET
    See usage for: globus_xio_attr_cntl

GLOBUS_XIO_FILE_SET_HANDLE
    See usage for: globus_xio_attr_cntl

GLOBUS_XIO_FILE_GET_HANDLE
    See usage for: globus_xio_attr_cntl , globus_xio_handle_cntl

GLOBUS_XIO_FILE_SET_BLOCKING_IO
    See usage for: globus_xio_attr_cntl , globus_xio_handle_cntl

GLOBUS_XIO_FILE_GET_BLOCKING_IO
    See usage for: globus_xio_attr_cntl , globus_xio_handle_cntl

GLOBUS_XIO_FILE_SEEK
    See usage for: globus_xio_handle_cntl

Function Documentation

  globus_result_t globus_xio_attr_cntl (attr , driver , GLOBUS_XIO_FILE_GET_BLOCKING_IO , globus_bool_t * use_blocking_io_out)
This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Get the blocking io status in use or in attr.

Parameters
    use_blocking_io_out The flag will be set here. GLOBUS_TRUE for enabled.

string opt: blocking=bool

  globus_result_t globus_xio_attr_cntl (attr , driver , GLOBUS_XIO_FILE_GET_FLAGS , int * flags_out)
This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Get the file open flags.

Parameters
    flags_out The current flags will be stored here.

  globus_result_t globus_xio_attr_cntl (attr , driver , GLOBUS_XIO_FILE_GET_HANDLE , globus_xio_system_file_t * handle_out)
This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Get the file handle in use or in attr.

Parameters
    handle_out The file handle (fd or HANDLE) will be stored here. If none is set, GLOBUS_XIO_TCP_INVALID_HANDLE will be set.

  globus_result_t globus_xio_attr_cntl (attr , driver , GLOBUS_XIO_FILE_GET_MODE , int * mode_out)
This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Get the file create mode.

Parameters
    mode_out The current mode will be stored here.

  globus_result_t globus_xio_attr_cntl (attr , driver , GLOBUS_XIO_FILE_GET_TRUNC_OFFSET , globus_off_t * offset_out)
This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Get the file truncate offset.

Parameters
    offset_out The offset will be stored here.

  globus_result_t globus_xio_attr_cntl (attr , driver , GLOBUS_XIO_FILE_SET_BLOCKING_IO , globus_bool_t use_blocking_io)
This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Enable true blocking io when making globus_xio_read/write() calls. Note: use with caution. You can deadlock an entire app with this.

Parameters
    use_blocking_io If GLOBUS_TRUE, true blocking io will be enabled. GLOBUS_FALSE will disable it (default);

  globus_result_t globus_xio_attr_cntl (attr , driver , GLOBUS_XIO_FILE_SET_FLAGS , int flags)
This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Set the file open flags.

The default flags specify to create the file if it doesn't exist, open it for reading and writing, and interpret it as a binary file.

Parameters
    flags A bitwise OR of all the flags desired

See also
    globus_xio_file_flag_t

string opt: flags=int

  globus_result_t globus_xio_attr_cntl (attr , driver , GLOBUS_XIO_FILE_SET_HANDLE , globus_xio_system_file_t handle)
This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Set the file handle to use.

Do not open a new file, use this pre-opened handle instead.

Parameters
    handle Use this handle (fd or HANDLE) for the file. Note: close() will not be called on this handle.

  globus_result_t globus_xio_attr_cntl (attr , driver , GLOBUS_XIO_FILE_SET_MODE , int mode)
This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Set the file create mode.

Use this to set the permissions a non-existent file is created with, The default mode is 0644.

Parameters
    mode A bitwise OR of all the modes desired

See also
    globus_xio_file_mode_t

string opt: mode=int

  globus_result_t globus_xio_attr_cntl (attr , driver , GLOBUS_XIO_FILE_SET_TRUNC_OFFSET , globus_off_t offset)
This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Set the file truncate offset.

Use this in conjunction with the GLOBUS_XIO_FILE_TRUNC flag to truncate a file to a non-zero offset. If the file was larger than offset bytes, the extra data is lost. If the file was shorter or non-existent, it is extended and the extended part reads as zeros. (default is 0)

Parameters
    offset The desired size of the file.

  globus_result_t globus_xio_handle_cntl (handle , driver , GLOBUS_XIO_FILE_GET_BLOCKING_IO , globus_bool_t * use_blocking_io_out)
This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Get the blocking io status in use or in attr.

Parameters
    use_blocking_io_out The flag will be set here. GLOBUS_TRUE for enabled.

string opt: blocking=bool

  globus_result_t globus_xio_handle_cntl (handle , driver , GLOBUS_XIO_FILE_GET_HANDLE , globus_xio_system_file_t * handle_out)
This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Get the file handle in use or in attr.

Parameters
    handle_out The file handle (fd or HANDLE) will be stored here. If none is set, GLOBUS_XIO_TCP_INVALID_HANDLE will be set.

  globus_result_t globus_xio_handle_cntl (handle , driver , GLOBUS_XIO_FILE_SEEK , globus_off_t * in_out_offset, globus_xio_file_whence_t whence)
This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Reposition read/write file offset.

Parameters
    in_out_offset Specify the desired offset (according to whence). On success, the actual file offset will be stored here.
    whence Specify how offset should be interpreted.

See also
    globus_xio_file_whence_t

    GLOBUS_XIO_SEEK

  globus_result_t globus_xio_handle_cntl (handle , driver , GLOBUS_XIO_FILE_SET_BLOCKING_IO , globus_bool_t use_blocking_io)
This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. Enable true blocking io when making globus_xio_read/write() calls. Note: use with caution. You can deadlock an entire app with this.

Parameters
    use_blocking_io If GLOBUS_TRUE, true blocking io will be enabled. GLOBUS_FALSE will disable it (default);

Author

Generated automatically by Doxygen for globus_xio from the source code.